petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPFCGSetMmax

set the maximum number of previous directions FCG will store for orthogonalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetMmax(KSP ksp,PetscInt mmax)

Note: mmax + 1 directions are stored (mmax previous ones along with a current one) and whether all are used in each iteration also depends on the truncation strategy (see KSPFCGSetTruncationType())

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| mmax | - the maximum number of previous directions to orthogonalize againt

### Options Database

-ksp_fcg_mmax <N> -

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGGetNprealloc()

Level:intermediate
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages